package com.uas.platform.b2b.erp.model;

import com.uas.platform.b2b.model.PurchaseOrderChange;

public class SaleDownChangeReply {

	private long b2b_pc_id;
	private String sc_code;

	public long getB2b_pc_id() {
		return b2b_pc_id;
	}

	public void setB2b_pc_id(long b2b_pc_id) {
		this.b2b_pc_id = b2b_pc_id;
	}

	/**
	 * 供应商是否同意了变更请求(1,0)
	 */
	private Short sc_agreed;
	/**
	 * 供应商的回复备注
	 */
	private String sc_replyremark;

	public String getSc_code() {
		return sc_code;
	}

	public void setSc_code(String sc_code) {
		this.sc_code = sc_code;
	}

	public Short getSc_agreed() {
		return sc_agreed != null ? (short) Math.abs(sc_agreed) : null;
	}

	public void setSc_agreed(Short sc_agreed) {
		this.sc_agreed = sc_agreed;
	}

	public String getSc_replyremark() {
		return sc_replyremark;
	}

	public void setSc_replyremark(String sc_replyremark) {
		this.sc_replyremark = sc_replyremark;
	}
	
	public SaleDownChangeReply(){
		
	}

	public SaleDownChangeReply(PurchaseOrderChange orderChange) {
		this.b2b_pc_id = orderChange.getId();
		this.sc_code = orderChange.getCode();
		this.sc_agreed = orderChange.getAgreed();
		this.sc_replyremark = orderChange.getReplyRemark();
	}

}
